aptana studio dependencies

Questions about applications and software
Forum rules
Before you post please read this

aptana studio dependencies

Postby paro1991 on Sat Sep 18, 2010 8:25 am

my question is with aptana studio. i've searched all over on how to install it, and i figured it out.. except one of the dependencies i need is no longer available. i need xulrunner-1.8.1.3 which i get a 404 error on the mozilla site for. its a shame cuz I couldn't find many good editors for linux which had what i wanted. any idea on how i can get it to work? thanks guys
paro1991
Level 1
Level 1
 
Posts: 13
Joined: Fri Sep 17, 2010 10:41 am

Linux Mint is funded by ads and donations.
 

Re: aptana studio dependencies

Postby Old Ruler on Sat Sep 18, 2010 6:21 pm

I'm surprised it can't use the installed (on my system at least) xulrunner-1.9.2 and I was thinking it may satisfy the dependency if you installed xulrunner-dev, but development libraries are only usually required if you build an application from source code.

Looking at the Release Notes for Aptana Studio 2 seems to suggest that you could sort it by installing the "latest XULRunner provided by Zend" which looks like it can be done via the Plugin Manager:

http://www.aptana.com/products/studio2/releasenotes

Did you try that? Or perhaps you installed a different version?
Old Ruler
Level 4
Level 4
 
Posts: 378
Joined: Sat Jul 18, 2009 12:43 pm
Location: Shropshire, UK.

Re: aptana studio dependencies

Postby paro1991 on Sat Sep 18, 2010 8:43 pm

k i grabbed the xulrunner-dev, I already did have 1.9.2.10 on my system. tried it again to no avail. i also used a bash script given in installation instructions for intrepid configuring for any changes that might be in my system, still nope. do u have it installed on ur system?

the latest xulrunner provided by zend... i think it probably means the xulrunner used by eclipse since zend is just eclipse + other stuff + brand name. and considering its the xulrunner by eclipse then its back to being the xulrunner by mozilla, doesn't make sense why they would put that in their release notes unless i got something wrong.

anyways checking through my package manager i can't find anything other than the packages i already had installed or just did install which as i said didn't help. so if u were able to install it, i would appreciate any help.

thanks.
paro1991
Level 1
Level 1
 
Posts: 13
Joined: Fri Sep 17, 2010 10:41 am

Re: aptana studio dependencies

Postby Old Ruler on Sat Sep 18, 2010 10:29 pm

Short answer (I need some zzzzzs); no I haven't installed it, but will do, maybe tomorrow if I can find the time. I think the release notes implied the required xulrunner could be installed from within the applications plugin manager, which ain't much help if it doesn't run. :roll:
Old Ruler
Level 4
Level 4
 
Posts: 378
Joined: Sat Jul 18, 2009 12:43 pm
Location: Shropshire, UK.

Re: aptana studio dependencies

Postby Old Ruler on Sun Sep 19, 2010 2:59 am

Post download and unpack:

So I thought I'd check the file "full_uninstall.txt" first. Which tells me to "Please see the instructions entitled 'How do I repair my Aptana Studio installation?' at:
http://www.aptana.com/docs/index.php/Ti ... stallation

Which says "This content has moved to the Aptana Studio FAQ." which links to:

http://www.aptana.com/view/studio_faq

Which is not found (error 404).

Searching their FAQ, I found this page:

https://aptanastudio.tenderapp.com/faqs ... dio-issues

And half way down the page is a section called "How do I repair my Aptana Studio installation?" which contains no useful information (for Linux users) at all.

I'm already thinking I'd rather use nano! :)

Code: Select all
[john@asus ~]> cd '/BIG/Programs/aptana/Aptana Studio 2.0'
[john@asus Aptana Studio 2.0]> ./AptanaStudio
2010-09-19 07:38:31.059::INFO:  Logging to STDERR via org.mortbay.log.StdErrLog
2010-09-19 07:38:33.732::INFO:  jetty-6.1.11
2010-09-19 07:38:33.774::INFO:  Started SocketConnector@127.0.0.1:8500
2010-09-19 07:38:33.774::INFO:  Started SocketConnector@127.0.0.1:8600
2010-09-19 07:38:33.013::WARN:  /portlets/cloud/src/modules/undeployedprojects.js: java.io.IOException: /BIG/Programs/aptana/Aptana Studio 2.0/configuration/portal.2.0.5.1278523018/aptana/portlets/cloud/src/modules/undeployedprojects.js (No such file or directory)
2010-09-19 07:38:33.568::WARN:  /portlets/cloud/src/modules/undeployedprojects.js: java.io.IOException: /BIG/Programs/aptana/Aptana Studio 2.0/configuration/portal.2.0.5.1278523018/aptana/portlets/cloud/src/modules/undeployedprojects.js (No such file or directory)

But the GUI is up and I see an 'Install Plugins' link and under the utilities tab "Embeded FireFox Browser (Adds embedded Firefox support (XUL-based))". I clicked Get it - Clicked the tick box in the Install dialog - clicked Next a few times - read the GPL license terms and clicked to indicate my acceptance of same - Agreed to install the various software with "unsigned content" - Said Yes to restart Aptana Studio (didn't click Apply Changes) - got a bit more output in the terminal window:

Code: Select all
2010-09-19 07:53:14.268::INFO:  jetty-6.1.11
2010-09-19 07:53:14.270::INFO:  Started SocketConnector@127.0.0.1:8501
2010-09-19 07:53:14.270::INFO:  Started SocketConnector@127.0.0.1:8601
2010-09-19 07:53:15.104::INFO:  Shutdown hook executing
2010-09-19 07:53:15.111::INFO:  Shutdown hook complete
2010-09-19 07:53:27.016::INFO:  Logging to STDERR via org.mortbay.log.StdErrLog
2010-09-19 07:53:27.105::INFO:  jetty-6.1.11
2010-09-19 07:53:27.154::INFO:  Started SocketConnector@127.0.0.1:8500
2010-09-19 07:53:27.154::INFO:  Started SocketConnector@127.0.0.1:8601
2010-09-19 07:53:27.370::WARN:  /portlets/cloud/src/modules/undeployedprojects.js: java.io.IOException: /BIG/Programs/aptana/Aptana Studio 2.0/configuration/portal.2.0.5.1278523018/aptana/portlets/cloud/src/modules/undeployedprojects.js (No such file or directory)
2010-09-19 07:53:27.497::WARN:  /portlets/cloud/src/modules/undeployedprojects.js: java.io.IOException: /BIG/Programs/aptana/Aptana Studio 2.0/configuration/portal.2.0.5.1278523018/aptana/portlets/cloud/src/modules/undeployedprojects.js (No such file or directory)


And in Plugins - Updated I now have "Embedded Firefox Support (XUL-based)","Mozilla XPCOM for Java" and "Mozilla Xulrunner (Version 1.9.1.11)".

So; I guess that's it. Sorry to give a blow by blow account like that, but it's how I take notes when messing with something which might break. Hope it helps.
Old Ruler
Level 4
Level 4
 
Posts: 378
Joined: Sat Jul 18, 2009 12:43 pm
Location: Shropshire, UK.

Re: aptana studio dependencies

Postby paro1991 on Sun Sep 19, 2010 6:07 am

okay so u seemed to have gotten it to work. in order for me to get it to work, i went and downloaded the 32bit app (i was using 64bit earlier) and tried running it. Well the splash screen showed up but no GUI. Nothing else after the screen disappears. I thought there might have been a problem with the 64bit version, but it just doesn't run on my system. :| Any ideas?
paro1991
Level 1
Level 1
 
Posts: 13
Joined: Fri Sep 17, 2010 10:41 am

Re: aptana studio dependencies

Postby Old Ruler on Sun Sep 19, 2010 6:43 am

You might get a clue if you run it from a terminal window (like I did) by changing directory (cd) to the folder you extracted the contents of the .zip to and then ./AptanaStudio

That should show some text, like I pasted, and by comparing your results with mine we can hopefully see where it stops working. If that doesn't help, you'll need to retrace your original install steps trying to undo the things you did.

It seems to keep its files in its own folder as far as I can tell, but it does create a 'Aptana Studio Workspace' folder in my home. If that folder was created by a previous attempt it may be causing problems now, so delete it and try again. If that doesn't help, we'll just have to swap computers. :lol:
Old Ruler
Level 4
Level 4
 
Posts: 378
Joined: Sat Jul 18, 2009 12:43 pm
Location: Shropshire, UK.

Re: aptana studio dependencies

Postby paro1991 on Sun Sep 19, 2010 8:37 am

i guess i shud've done that to start with. so this is what i got:

Code: Select all
(Build 2.0.0.1253913567) [ERROR] Unable to determine current running state of Aptana Studio
java.lang.UnsatisfiedLinkError: Cannot load 64-bit SWT libraries on 32-bit JVM
    at org.eclipse.swt.internal.Library.loadLibrary(Library.java:179)
    at org.eclipse.swt.internal.Library.loadLibrary(Library.java:159)
    at org.eclipse.swt.internal.C.<clinit>(C.java:21)
    at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:63)
    at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:54)
    at org.eclipse.swt.widgets.Display.<clinit>(Display.java:131)
    at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:516)
    at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:161)
    at com.aptana.ide.rcp.IDEApplication.createDisplay(IDEApplication.java:154)
    at com.aptana.ide.rcp.IDEApplication.start(IDEApplication.java:96)
    at com.aptana.ide.desktop.integration.Application.start(Application.java:56)
    at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:194)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:368)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:597)
    at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:559)
    at org.eclipse.equinox.launcher.Main.basicRun(Main.java:514)
    at org.eclipse.equinox.launcher.Main.run(Main.java:1311)
    at org.eclipse.equinox.launcher.Main.main(Main.java:1287)
(Build 2.0.5.1278523018) [ERROR] An error occurred while shutting down the database
SQL Exception: Database 'aptanaDB' not found.
    at org.apache.derby.impl.jdbc.Util.newEmbedSQLException(Unknown Source)
    at org.apache.derby.impl.jdbc.Util.newEmbedSQLException(Unknown Source)
    at org.apache.derby.impl.jdbc.Util.generateCsSQLException(Unknown Source)
    at org.apache.derby.impl.jdbc.EmbedConnection.newSQLException(Unknown Source)
    at org.apache.derby.impl.jdbc.EmbedConnection.<init>(Unknown Source)
    at org.apache.derby.impl.jdbc.EmbedConnection30.<init>(Unknown Source)
    at org.apache.derby.jdbc.Driver30.getNewEmbedConnection(Unknown Source)
    at org.apache.derby.jdbc.InternalDriver.connect(Unknown Source)
    at java.sql.DriverManager.getConnection(DriverManager.java:582)
    at java.sql.DriverManager.getConnection(DriverManager.java:207)
    at com.aptana.ide.core.db.AptanaDB.shutdown(AptanaDB.java:320)
    at com.aptana.ide.core.AptanaCorePlugin.stop(AptanaCorePlugin.java:73)
    at org.eclipse.osgi.framework.internal.core.BundleContextImpl$2.run(BundleContextImpl.java:843)
    at java.security.AccessController.doPrivileged(Native Method)
    at org.eclipse.osgi.framework.internal.core.BundleContextImpl.stop(BundleContextImpl.java:836)
    at org.eclipse.osgi.framework.internal.core.BundleHost.stopWorker(BundleHost.java:474)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.suspend(AbstractBundle.java:546)
    at org.eclipse.osgi.framework.internal.core.Framework.suspendBundle(Framework.java:1098)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.decFWSL(StartLevelManager.java:593)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:261)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.shutdown(StartLevelManager.java:216)
    at org.eclipse.osgi.framework.internal.core.InternalSystemBundle.suspend(InternalSystemBundle.java:266)
    at org.eclipse.osgi.framework.internal.core.Framework.shutdown(Framework.java:685)
    at org.eclipse.osgi.framework.internal.core.Framework.close(Framework.java:583)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.shutdown(EclipseStarter.java:409)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:200)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:597)
    at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:559)
    at org.eclipse.equinox.launcher.Main.basicRun(Main.java:514)
    at org.eclipse.equinox.launcher.Main.run(Main.java:1311)
    at org.eclipse.equinox.launcher.Main.main(Main.java:1287)


a little daunting at first but the second line made no sense. i didn't have 32bit java. at least i thought i didn't checked the package manager and i did for some odd reason i guess.

removed it, and tested the program and it works!!!! then went and downloaded the 64bit version again and it too works!!!! got a similar log as yours in the terminal. im still relatively new to mint so i gotta get used to all the bells and whistles. so far it beats the heck outta winblows tho. unfortunately i still use it for games... :-/

thanks for all the help though!!! this means i don't have to use eclipse on my machine!! :D
paro1991
Level 1
Level 1
 
Posts: 13
Joined: Fri Sep 17, 2010 10:41 am

Re: aptana studio dependencies

Postby Old Ruler on Sun Sep 19, 2010 9:01 am

Hey!! Well done that man. :D

I don't think it'll be long before you've mastered Linux and, as for games, the Xbox 360 is brilliant IMHO, not that I use mine so much these days. Will be different from next Friday. Codemasters release F1 2010 here in the UK then, and I do like my virtual cars. ;)
Old Ruler
Level 4
Level 4
 
Posts: 378
Joined: Sat Jul 18, 2009 12:43 pm
Location: Shropshire, UK.

Linux Mint is funded by ads and donations.
 

Return to Software & Applications

Who is online

Users browsing this forum: Google Adsense [Bot] and 18 guests